@font-face {
	font-family: "Frutiger LT";
	font-style: normal;
	font-weight: normal;
	src: url("../fonts/Frutiger LT 55 Roman.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: italic;
	font-weight: normal;
	src: url("../fonts/Frutiger LT 56 Italic.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: normal;
	font-weight: 300;
	src: url("../fonts/Frutiger LT 45 Light.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: italic;
	font-weight: 300;
	src: url("../fonts/Frutiger LT 46 Light Italic.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: normal;
	font-weight: 700;
	src: url("../fonts/Frutiger LT 65 Bold.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: normal;
	font-weight: 900;
	src: url("../fonts/Frutiger LT 65 Bold.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: italic;
	font-weight: 700;
	src: url("../fonts/Frutiger LT 66 Bold Italic.woff") format("woff");
}

@font-face {
	font-family: "Frutiger LT";
	font-style: normal;
	font-weight: 900;
	src: url("../fonts/FrutigerLTStd-UltraBlack.otf") format("opentype");
}

*{
	-moz-text-size-adjust: none;
	-webkit-text-size-adjust: none;
	text-size-adjust: none;
}
html {
	font-family: "Frutiger LT", sans-serif;
	height: 100%;
	text-align: center;
	font-size: 18px;
}

body {
	position: relative;
	margin: 0;

	height: 100%;
	font-size: 100%;
	background: #80a4c6;
	overflow: hidden;
}

*:not(input) {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#logo {
	width: 27vh;

	margin: 1rem 0;
}

h1 {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	font-family: "Frutiger LT", sans-serif;
	font-weight: 700;
	font-size: 2em;
}

p {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	font-size: 18px;
}

p.ingress {
	font-size: 5vh;
	margin-bottom: 2vh;
}

#part_game > #info {
	position: absolute;
	z-index: 99;
	background: #fff;
	padding-top: 9px;
	padding-left: 25px;
	padding-right: 25px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	opacity: 95%;
	width: calc(100% - 50px);
}

@media (max-height: 700px) {

	#part_game > #info {
		padding-left: 15px;
		padding-right: 15px;
		width: calc(100% - 30px);
	}
}

#part_game > #info::after {
	content: "";
	background-image: url(../images/triangel.svg);
	position: absolute;
	background-position: center 100%;
	background-size: cover;
	z-index: -1;
	height: 4.2vh;
	bottom: -3.5vh;
	width: 100%;
}

@media (max-height: 700px) {

	#part_game > #info::after {
		bottom: -4vh;
	}
}

#part_game > #info > #title {
	width: 36px;
	height: 36px;
	background-image: url(../images/question-nr.svg);
	background-repeat: no-repeat;
	display: flex;
	justify-content: space-around;
	align-items: center;
	background-size: contain;

}

#part_game > #info > #title > span {
	font-size: 12px;
	color: #fff;
	font-weight: 900;
	margin-top: 0.15vw;
	margin-left: 0.15vw;
}

@media (max-height: 700px) {

	#part_game > #info > #title {
		width: 5.15vh;
		height: 5.15vh;
	}

	#part_game > #info > #title > span {
		font-size: 1.7vh;
	}
}

#image {
	display: block;
	background-size: contain;
	background-repeat: no-repeat;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	position: absolute;
}

div#description {
	width: 100%;
}

div#description p,
p#extra_info {
	color: #0f395d;
}

@media (max-height: 700px) {

	div#description p {
		font-size: 2.4vh;
	}
}

p.secondary {
	font-size: 1.7em;
}

.part {
	width: 100vw;
	height: calc(var(--vh, 1vh) * 100);
	max-height: 100vh;
	max-width: 56vh;
	margin: auto;
	bottom: 0;
	left: 0;
	right: 0;
	position: absolute;
	overflow: hidden;
}

.start_bg {
	content: "";
	background: rgb(38, 96, 147);
	background: transparent linear-gradient(120deg, #165594 0%, #0f3a5d 100%) 0% 0% no-repeat padding-box;
	clip-path: polygon(50% 4%, 100% 0, 100% 100%, 0 100%, 0 0);
	width: 100vw;
	height: calc(var(--vh, 1vh) * 100);
	max-height: 100vh;
	max-width: 56vh;
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;

	top: 12vh;

	z-index: -1;
	transition: top 0.5s ease-out;
}

#part_start {
	display: block;
	z-index: 100;
	background: #fff;
	color: white;
}

#part_start .section img {
	margin-top: 7vh;
	margin-bottom: 5vh;
}

#classcode-invalid,
#competition-ended {
	display: none;
	font-size: 2vh;
	position: relative;
	color: #ffdb00;
}

#start_section0 > .hexagon {
	clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
	background: #f8e300;
	width: 2.7vh;
	height: 2.7vh;
	margin: 0 auto;
	color: #0f395d;
	font-weight: 900;
	display: none;
	align-items: center;
	justify-content: center;
	margin-bottom: 1vh;
	font-size: 1.8vh;
}

p.title {
	text-transform: uppercase;

	color: #fff;
	font-weight: 600;
	margin-top: 7vh;

	font-size: 1.8vh;
}

.instructions {
	color: #fff;
	font-weight: 400;
	list-style: none;
	padding: 0;
}

.instructions li {
	padding: 3vh 0;
}

.instructions li p {
	margin-top: 2vh;
}

.instructions .hexagon {
	clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
	background: #f8e300;
	width: 2.7vh;
	height: 2.7vh;
	margin: 0 auto;
	color: #0f395d;
	font-weight: bold;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.8vh;
}

.instructions p {
	font-size: 2.5vh;
}

#start_section0 {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

#start_section0 > img {
	margin-top: 7vh;
	margin-bottom: 5vh;
	width: 4vh;
}

#start_section1 {
	flex-direction: column;
	align-items: center;
}

#start_section2 {
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	position: absolute;
}

#start_section2 > .hexagon {
	clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
	background: #f8e300;
	width: 6vh;
	height: 6vh;
	margin: 0 auto;
	color: #0f395d;
	font-weight: 900;
	display: flex;
	font-size: 4vh;
	align-items: center;
	justify-content: center;
}

#start_section2 > .title {
	font-size: 5vh;
	margin: 5vh;
	font-weight: 400;
	text-transform: none;
}

#start_section2 > .ingress {
	color: #fff;
	font-weight: 300;
	font-style: italic;
	font-size: 2vh;
}

.section {
	display: none;
}

#game {
	width: 100%;

	height: 0;
	padding-top: 177.5%;
	position: relative;
}

#game::before {
	content: "";
	position: absolute;
}

@media (max-height: 700px) {

	#game {
		top: 0px;
	}
}

#class_code {
	max-width: 70%;
	color: #0f395d;
	border: 2px solid #ffdb00;
	border-radius: 4px;

	font-size: 4.7vh;
	margin: 3vh 0 5vh 0;
	padding: 1.5vh 1.2vh;
	font-weight: 700;
	text-align: center;
}

::-webkit-input-placeholder {
	color: #0f395d;
	opacity: 0.3;
}

:-ms-input-placeholder {
	color: #0f395d;
	opacity: 0.3;
}

::placeholder {
	color: #0f395d;
	opacity: 0.3;
}

#join_class {
	max-width: 75%;
}

#join_class:disabled {
	background: #fff;
	color: #000;
	opacity: 0.4;
}

#join_class:disabled::after {
	filter: invert(90%);
}

input {
	outline: none;
}

button {
	display: inline-block;

	background: #ffdb00;
	color: #0f395d;

	border-radius: 4vh;

	font-size: 2.5vh;
	font-weight: 700;
	cursor: pointer;
	border: none;
	outline: none;

	padding: 2.2vh 0;
	width: 80%;
	max-width: 350px;

	white-space: nowrap;
}

button::after {
	content: " ›";
}

#continue_wrapper {
	margin-bottom: -180px;
	position: absolute;
	z-index: 99;
	left: 0;
	bottom: 20px;
	background: #fff;
	transition: all 0.6s cubic-bezier(0.68, -0.55, 0.27, 1.55);
	margin-left: auto;
	margin-right: auto;
	width: calc(100% - 40px);
	right: 0;
	opacity: 0;
	border-radius: 8px;
	padding-top: 14px;
	padding-bottom: 14px;
}

#continue_wrapper:not(.open) {
	display: block;
}

#continue_wrapper > div {
	position: relative;
	font-size: 13px;
	font-weight: 700;
	color: #0f395d;
	display: flex;
	justify-content: center;
	align-items: center;
}

#continue_wrapper #continue {
	margin-top: 19px;
}

#continue_wrapper > div .alert {
	background-image: url(../images/info.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	width: 20px;
	height: 20px;
	color: #fff;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 16px;
	font-weight: 900;
	margin-right: 10px;
	position: relative;
}

#continue_wrapper > div .alert::after {
	content: "";
	position: absolute;
	top: 3px;
	left: 0;
	bottom: 0;
	right: 0;
	background-image: url(../images/alert.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	width: 100%;
}

@media (max-height: 700px) {

	#continue_wrapper > div {
		font-size: 1.86vh;
	}

	#continue_wrapper > div .alert {
		width: 2.85vh;
		height: 2.85vh;
		font-size: 2.3vh;
	}
}

#continue_wrapper {
	margin-bottom: -180px;
	opacity: 0;
}

#continue_wrapper.open {
	margin-bottom: 0;
	opacity: 95%;
}

@media (max-height: 700px) {

	#continue_wrapper {
		padding-top: 10px;
		padding-bottom: 10px;
	}

	#continue_wrapper #continue {
		margin-top: 12px;
	}
}

#part_finish {
	background: #fff;
}

#part_finish .ingress {
	margin-top: 11.1vw;
}

#part_finish > .start_bg {
	z-index: 0;
	top: 12vh;
}

#part_finish > .text {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

#part_finish > .text img {
	margin-bottom: 10vh;
	width: 8.5vh;
}

#part_finish > .text .ingress {
	color: #fff;
	margin: 0;
	line-height: 1.3;
}
